Ginkgo: gko::DimensionMismatch Class Reference

| Ginkgo Generated from branch based on main. Ginkgo version 1.11.0 A numerical linear algebra library targeting many-core architectures

Loading...
Searching...
No Matches
gko::DimensionMismatch Class Reference

DimensionMismatch is thrown if an operation is being applied to LinOps of incompatible size. More...

`#include <ginkgo/core/base/exception.hpp>`

Inheritance diagram for gko::DimensionMismatch:
[legend]
Collaboration diagram for gko::DimensionMismatch:
[legend]

## Public Member Functions
| DimensionMismatch (const std::string &file, int line, const std::string &func, const std::string &first_name, size_type first_rows, size_type first_cols, const std::string &second_name, size_type second_rows, size_type second_cols, const std::string &clarification)
| Initializes a dimension mismatch error.
Public Member Functions inherited from gko::Error
| Error (const std::string &file, int line, const std::string &what)
| Initializes an error.
virtual const char * | what () const noexcept override
| Returns a human-readable string with a more detailed description of the error.

## Detailed Description

DimensionMismatch is thrown if an operation is being applied to LinOps of incompatible size.

## Constructor & Destructor Documentation

## ◆ DimensionMismatch()

gko::DimensionMismatch::DimensionMismatch | ( | const std::string & | file,
|  | int | line,
|  | const std::string & | func,
|  | const std::string & | first_name,
|  | size_type | first_rows,
|  | size_type | first_cols,
|  | const std::string & | second_name,
|  | size_type | second_rows,
|  | size_type | second_cols,
|  | const std::string & | clarification )
| inline

Initializes a dimension mismatch error.

Parameters

  file | The name of the offending source file
  line | The source code line number where the error occurred
  func | The function name where the error occurred
  first_name | The name of the first operator
  first_rows | The output dimension of the first operator
  first_cols | The input dimension of the first operator
  second_name | The name of the second operator
  second_rows | The output dimension of the second operator
  second_cols | The input dimension of the second operator
  clarification | An additional message describing the error further

References gko::Error::Error().

The documentation for this class was generated from the following file:

- ginkgo/core/base/exception.hpp